require "Helper"

local ironSource = require "plugin.ironSource"
local json= require "json"
local group = newGroup()
local tableView = nil
local testSound = audio.loadSound( "Thunder.wav" )

--------------------------------
-- createTimer
--------------------------------
local function createTimer()
    local num = newText(group, "", centerX, emptyH+100, orgW-100, 0, native.systemFont, 50, {0}, "left")
    local function onTimer(event)
        num.text = "Timer: "..event.count
    end
    local timerId = timer.performWithDelay(1000, onTimer, 0)
end

--------------------------------
-- onAdsEvent
--------------------------------
local function onAdsEvent(event)
    tableView:insertRow{ rowHeight=500, params=json.prettify(event) }

    if event.isError then
        return
    end

    if event.type == "interstitial" then
            if event.phase == "adReady" then ironSource.show("interstitial")
        elseif event.phase == "adOpened" then
        elseif event.phase == "adShowSucceeded" then
        elseif event.phase == "adClicked" then
        elseif event.phase == "adClosed" then
        elseif event.phase == "adLoadFailed" then
        elseif event.phase == "adShowFailed" then
        end
    end

    if event.type == "rewardedVideo" then
            if event.phase == "adRewarded" then -- event.rewardName, event.rewardAmount
        elseif event.phase == "availabilityChanged" then
        elseif event.phase == "adOpened" then
        elseif event.phase == "adStarted" then
        elseif event.phase == "didClickRewardedVideo" then
        elseif event.phase == "adEnded" then
        elseif event.phase == "adClosed" then
        elseif event.phase == "adShowError" then
        end
    end
end

--------------------------------
-- onButtonEvent
--------------------------------
local function onButtonEvent( event )
    local obj = event.target
    local id = obj.id

        if id == "interstitial" then ironSource.load("interstitial")
    elseif id == "rewardedVideo" then ironSource.show("rewardedVideo") -- {placement = ""})
    elseif id == "playSound" then audio.play(testSound)
    elseif id == "clearLog" then tableView:deleteAllRows()
    end

    obj.xScale = 0.8
    obj.yScale = 0.8
    transition.to(obj, {time=300, xScale=1, yScale=1, transition=easing.outBounce})
    
    return true
end

--------------------------------
-- onRowRender
--------------------------------
local function onRowRender( event )
    local row = event.row
    local rowCX = row.width * 0.5
    local rowCY = row.height * 0.5
    local msg = row.params
    
    if row.index%2 == 0 then
        newRect(row, rowCX, rowCY, row.width, row.height, {0,0,0,0.1})
    end

    newText(row, msg, rowCX, rowCY, row.width-80, 0, fnt_reg, 50, {0}, "center")

    return true
end

--------------------------------
-- main
--------------------------------
ironSource.init(onAdsEvent, {androidAppKey="", iOSAppKey=""})

newRect(group, centerX, centerY, orgW, orgH, {0.97,0.84,0.34})

createTimer()

tableView = newTableView(group, centerX, centerY-200, orgW-100, orgH-(emptyH*2)-800, onRowRender)

newButton(group, "interstitial", centerX-250, orgH-emptyH-200, 400, 150, {1}, onButtonEvent)
newButton(group, "rewardedVideo", centerX+250, orgH-emptyH-200, 400, 150, {1}, onButtonEvent)
newButton(group, "clearLog", centerX-250, orgH-emptyH-200-200, 400, 150, {1}, onButtonEvent)
newButton(group, "playSound", centerX+250, orgH-emptyH-200-200, 400, 150, {1}, onButtonEvent)


